## 9mount 1.3+hg20170412

=== Makefile ===
prefix=/usr/local
bindir=$(prefix)/bin
mandir=$(prefix)/share/man

CFLAGS=-Wall


all: 9mount 9umount 9bind

9mount: 9mount.c
9umount: 9umount.c
9bind: 9bind.c

%: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) $(LDFLAGS) $^ -o $@

clean:
	rm -f 9mount 9umount 9bind

install: all
	mkdir -p $(bindir)
	cp -f 9mount $(bindir)
	cp -f 9umount $(bindir)
	cp -f 9bind $(bindir)
	chown root:users $(bindir)/9mount $(bindir)/9umount $(bindir)/9bind
	chmod 4755 $(bindir)/9mount $(bindir)/9umount $(bindir)/9bind
	mkdir -p $(mandir)/man1
	cp -f 9mount.1 $(mandir)/man1

## 9mount 1.3

=== debian/changelog ===
9mount (1.3-10build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:11:41 +0000

9mount (1.3-10) unstable; urgency=low

  * Update the homepage (Closes: #730858).
  * Fix manpages.
  * Build on Linux only.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 30 Nov 2013 21:33:35 +0100

9mount (1.3-9) unstable; urgency=low

  * Drop nearly useless debug package.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 12 Nov 2013 12:30:04 +0100

9mount (1.3-8) unstable; urgency=low

  * Reintroduce the package with a new maintainer.
  * Update to Debhelper 9.
  * Use 3.0 (quilt) format.

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 11 Nov 2013 11:21:57 +0100

9mount (1.3-7) unstable; urgency=low

  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:25:46 +0200

9mount (1.3-6) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 17:38:01 +0200

9mount (1.3-5) unstable; urgency=low

  * Minimalizing rules file.
  * Sorting depends.
  * Adding misc depends.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Aug 2009 10:26:02 +0200

9mount (1.3-4) unstable; urgency=low

  * Updating section of the debug package.
  * Tidy rules file.
  * Updating package to standards version 3.8.2.
  * Updating year in copyright file.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Thu, 16 Jul 2009 23:34:26 +0200

9mount (1.3-3) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Prefixing debhelper files with package name.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Dec 2008 21:01:00 +0100

9mount (1.3-2) unstable; urgency=low

  * Updating vcs fields in control file.
  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Sep 2008 22:25:00 +0200

9mount (1.3-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 03 Aug 2008 16:10:00 +0200

=== debian/control ===
Source: 9mount
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://sqweek.net/code/9mount/

Package: 9mount
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: plan9 filesystem (v9fs) user mount utilities
 9mount is a set of SUID mounting tools for use with v9fs to help cope with
 linux's poor mount support.
 .
 The tools offer a level of security - 9mount will only let you mount over
 non-sticky directories you have write access to, and 9umount will only let you
 unmount 9p partitions that you mounted yourself.

## 9mount 1.3%2Bhg20170412

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)"

override_dh_auto_test:

override_dh_auto_install:
	$(MAKE) prefix=$(CURDIR)/debian/9mount/usr install

	chown root:root debian/9mount/usr/bin/*

override_dh_fixperms:
	dh_fixperms -Xusr/bin/9bind -Xusr/bin/9mount -Xusr/bin/9umount

.PHONY: override_dh_auto_test override_dh_auto_install override_dh_fixperms

## 9mount 1.3+hg20170412

=== debian/changelog ===
9mount (1.3+hg20170412-2) unstable; urgency=medium

  [ Niels Thykier ]
  * Make requirement for root when building the package explicit.
    (Closes: #1089280)

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 31 Dec 2024 11:47:04 +0100

9mount (1.3+hg20170412-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump Standard-Version, no changes.
  * Use dh and compat level 11.
  * Update the description.
  * Refresh the manpage patch.
  * Point Vcs-* to dgit.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 05 Sep 2018 10:54:25 +0200

=== debian/control ===
Source: 9mount
Section: admin
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends: debhelper (>= 11)
Rules-Requires-Root: binary-targets
Standards-Version: 4.1.2
Homepage: http://sqweek.net/code/9mount/
Vcs-Browser: https://browse.dgit.debian.org/9mount.git/
Vcs-Git: https://git.dgit.debian.org/9mount

Package: 9mount
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Plan 9 filesystem (v9fs) user mount utilities
 9mount is a set of SUID mounting tools for use with v9fs to help
 cope with Linux's poor mount support.
 .
 The tools offer a level of security - 9mount will only let you
 mount over non-sticky directories you have write access to, and
 9umount will only let you unmount 9p partitions that you mounted
 yourself.
